Subject: Re: bug#64395: [PATCH] * src/xdisp.c (display_string): Don't truncate mode line in terminal

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Jul 2023 13:42:12 +0300

[Pleased use Reply All to reply, so that the bug tracker is CC'ed.]

> From: qijian gong <[email-masked]>
> Date: Sat, 1 Jul 2023 18:23:21 +0800
> 
> 
> Eli Zaretskii <[email-masked]> 于2023年7月1日周六 15:49写道：
> 
> > > Cc: Gong Qijian <[email-masked]>
> > > From: Gong Qijian <[email-masked]>
> > > Date: Sat,  1 Jul 2023 14:27:56 +0800
> > >
> > > The truncate happens when the mode line is of lenght
> > > `(1+ (window-width))' and ends with CJK characters.
> > >
> > > Reproduce:
> >
> > Thanks, but please show the screenshots of the effect of the bug.  I
> > don't have access to terminals that can display CJK characters on the
> > mode line, so full reproduction of the issue is impossible for me.
> >

Thanks, but I see no mode-line image on that screen shot.  I only see
the source of your reproduction recipe.  I asked to see the effect of
running the recipe.